## pytest-bdd 2.18.2

=== Makefile ===
# create virtual environment
PATH := .env/bin:$(PATH)

.env:
	virtualenv .env

# install all needed for development
develop: .env
	pip install -e . -r requirements-testing.txt tox python-coveralls

coverage: develop
	coverage run --source=pytest_bdd .env/bin/py.test tests
	coverage report -m

test: develop
	tox

coveralls: coverage
	coveralls

# clean the development envrironment
clean:
	-rm -rf .env

=== debian/changelog ===
pytest-bdd (2.18.2-1) unstable; urgency=medium

  * Initial release. (Closes: #825071)

 -- Brian May <bam@debian.org>  Sun, 28 May 2017 11:52:43 +1000

=== debian/control ===
Source: pytest-bdd
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends:
    debhelper (>= 9), dh-python (>= 2.20160609~),
    python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
    python-six, python-pytest, python-glob2, python-mako,
    python-parse, python-parse-type, python-mock, python-execnet,
    python3-all, python3-setuptools,
    python3-six, python3-pytest, python3-glob2, python3-mako,
    python3-parse, python3-parse-type, python3-mock, python3-execnet,
Standards-Version: 3.9.8
Homepage: https://github.com/pytest-dev/pytest-bdd/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-bdd.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest-bdd.git

Package: python-pytest-bdd
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: BDD plugin for py.test.
 Implements a subset of Gherkin language for the automation of the
 project requirements testing and easier behavioral driven development.
 .
 Unlike many other BDD tools it doesn't require a separate runner and benefits
 from the power and flexibility of the pytest. It allows one to unify your unit
 and functional tests, easier continuous integration server configuration and
 maximal reuse of the tests setup.
 .
 Pytest fixtures written for the unit tests can be reused for the setup and
 actions mentioned in the feature steps with dependency injection, which allows
 a true BDD just-enough specification of the requirements without maintaining
 any context object containing the side effects of the Gherkin imperative
 declarations.
 .
 This package contains the python 2 version.

Package: python3-pytest-bdd
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: BDD plugin for py.test.
 Implements a subset of Gherkin language for the automation of the
 project requirements testing and easier behavioral driven development.
 .
 Unlike many other BDD tools it doesn't require a separate runner and benefits
 from the power and flexibility of the pytest. It allows one to unify your unit
 and functional tests, easier continuous integration server configuration and
 maximal reuse of the tests setup.
 .
 Pytest fixtures written for the unit tests can be reused for the setup and
 actions mentioned in the feature steps with dependency injection, which allows
 a true BDD just-enough specification of the requirements without maintaining
 any context object containing the side effects of the Gherkin imperative
 declarations.
 .
 This package contains the python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-bdd

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_install
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

override_dh_auto_install:
	dh_auto_install
	rm debian/python-pytest-bdd/usr/bin/pytest-bdd
	rm debian/python3-pytest-bdd/usr/bin/pytest-bdd

## pytest-bdd 3.1.1

=== debian/changelog ===
pytest-bdd (3.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Scott Talbert ]
  * Update to new upstream release 3.1.1 (Closes: #892620)
  * d/control: Update Standards Version to 4.4.0
  * d/control: Update debhelper compat version to 12
  * Remove Python 2 subpackage
  * d/control: Fix capitalization in description
  * d/control: Remove unnecessary period in description

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * Use debhelper-compat instead of debian/compat.

  [ Mattia Rizzolo ]
  * Run wrap-and-sort.

 -- Scott Talbert <swt@techie.net>  Fri, 26 Jul 2019 21:54:38 -0400

=== debian/control ===
Source: pytest-bdd
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python (>= 2.20160609~),
 python3-all,
 python3-execnet,
 python3-glob2,
 python3-mako,
 python3-mock,
 python3-parse,
 python3-parse-type,
 python3-pytest,
 python3-setuptools,
 python3-six,
Standards-Version: 4.4.0
Homepage: https://github.com/pytest-dev/pytest-bdd/
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-bdd.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-bdd

Package: python3-pytest-bdd
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: BDD plugin for py.test
 Implements a subset of Gherkin language for the automation of the
 project requirements testing and easier behavioral driven development.
 .
 Unlike many other BDD tools it doesn't require a separate runner and benefits
 from the power and flexibility of the pytest. It allows one to unify your unit
 and functional tests, easier continuous integration server configuration and
 maximal reuse of the tests setup.
 .
 Pytest fixtures written for the unit tests can be reused for the setup and
 actions mentioned in the feature steps with dependency injection, which allows
 a true BDD just-enough specification of the requirements without maintaining
 any context object containing the side effects of the Gherkin imperative
 declarations.
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-bdd

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_install
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

override_dh_auto_install:
	dh_auto_install
	rm debian/python3-pytest-bdd/usr/bin/pytest-bdd

## pytest-bdd 3.2.1

=== debian/changelog ===
pytest-bdd (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #950661).
  * Bump Standards-Version to 4.4.1.
  * Enable autopkgtest-pkg-python testsuite.
  * Rules-Requires-Root: no.
  * d/rules: Don't run tests with nocheck.
  * Bump standards version to 4.5.0.

 -- Ondřej Nový <onovy@debian.org>  Fri, 07 Feb 2020 12:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,23 @@
 Source: pytest-bdd
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders:
- Brian May <bam@debian.org>,
+Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
- dh-python (>= 2.20160609~),
- python3-all,
- python3-execnet,
- python3-glob2,
- python3-mako,
- python3-mock,
- python3-parse,
- python3-parse-type,
- python3-pytest,
- python3-setuptools,
- python3-six,
-Standards-Version: 4.4.0
+    debhelper-compat (= 12), dh-python (>= 2.20160609~),
+    python3-all, python3-setuptools,
+    python3-six, python3-pytest, python3-glob2, python3-mako,
+    python3-parse, python3-parse-type, python3-mock, python3-execnet,
+Standards-Version: 4.5.0
 Homepage: https://github.com/pytest-dev/pytest-bdd/
 Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-bdd.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-bdd
+Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-pytest-bdd
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: BDD plugin for py.test
  Implements a subset of Gherkin language for the automation of the
  project requirements testing and easier behavioral driven development.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,11 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	dh_auto_install
 	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"
+endif
 
 override_dh_auto_install:
 	dh_auto_install

## pytest-bdd 5.0.0

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 # install all needed for development
 develop: .env
-	pip install -e . -r requirements-testing.txt tox python-coveralls
+	.env/bin/pip install -e . -r requirements-testing.txt tox python-coveralls
 
 coverage: develop
-	coverage run --source=pytest_bdd .env/bin/py.test tests
+	coverage run --source=pytest_bdd .env/bin/pytest tests
 	coverage report -m
 
 test: develop

=== debian/changelog ===
pytest-bdd (5.0.0-1) unstable; urgency=medium

  * New upstream release; Closes: #977079
  * debian/rules
    - skip 2 tests trying to run `pytest-bdd`

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jun 2022 21:01:49 -0400

pytest-bdd (3.2.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 22:00:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pytest-bdd
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
@@ -10,8 +10,8 @@
     python3-parse, python3-parse-type, python3-mock, python3-execnet,
 Standards-Version: 4.5.0
 Homepage: https://github.com/pytest-dev/pytest-bdd/
-Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-bdd.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-bdd
+Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-bdd.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-bdd
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	dh_auto_install
-	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"
+	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -k 'not test_generate_with_quotes and not test_unicode_characters'"
 endif
 
 override_dh_auto_install:

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pytest-bdd-$1\.tar\.gz/ \
  https://github.com/pytest-dev/pytest-bdd/tags .*/v?(\d\S+)\.tar\.gz

## pytest-bdd 7.1.2

=== debian/changelog ===
pytest-bdd (7.1.2-2) unstable; urgency=medium

  * Team upload.
  * Remove build-dependency on python3-glob2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Mar 2025 14:38:16 +0200

pytest-bdd (7.1.2-1) unstable; urgency=medium

  * Team upload. (Closes: #1042332)
  * New upstream version 7.1.2
  * update build dependencies:
    - python3-mock
    - python3-six
    + pybuild-plugin-pyproject
    * python3-poetry
    + python3-typing-extensions
  * switch to d/watch v4
  * switch to debhelper 13

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Mar 2024 15:40:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,18 @@
 Section: python
 Priority: optional
 Build-Depends:
-    debhelper-compat (= 12), dh-python (>= 2.20160609~),
-    python3-all, python3-setuptools,
-    python3-six, python3-pytest, python3-glob2, python3-mako,
-    python3-parse, python3-parse-type, python3-mock, python3-execnet,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-execnet,
+ python3-mako,
+ python3-parse,
+ python3-parse-type,
+ python3-poetry,
+ python3-pytest,
+ python3-typing-extensions,
+ python3-setuptools
 Standards-Version: 4.5.0
 Homepage: https://github.com/pytest-dev/pytest-bdd/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-bdd.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-bdd

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_install
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -k 'not test_generate_with_quotes and not test_unicode_characters'"
endif

execute_after_dh_auto_install:
	rm debian/python3-pytest-bdd/usr/bin/pytest-bdd

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pytest-bdd-$1\.tar\.gz/ \
  https://github.com/pytest-dev/pytest-bdd/tags .*/v?(\d\S+)\.tar\.gz
